# $Revision: 1.15 $, $Date: 2010/06/06 08:43:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	ChaSen
Summary:	Text::ChaSen - ChaSen library module for Perl
Summary(pl.UTF-8):	Text::ChaSen - moduł biblioteki ChaSen dla Perla
Name:		perl-Text-ChaSen
Version:	1.03
Release:	6
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.daionet.gr.jp/~knok/chasen/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1f5f8b1c79b815c1bc7d171971f1f4a4
#Patch0:		http://www.daionet.gr.jp/~knok/chasen/%%{pnam}.pm-1.03-pod-fix.diff
URL:		http://www.daionet.gr.jp/~knok/chasen/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	chasen-devel
Requires:	chasen
Obsoletes:	chasen-perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::ChaSen - ChaSen library module for Perl.

%description -l pl.UTF-8
Text::ChaSen - moduł biblioteki ChaSen dla Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Text/ChaSen.pm
%dir %{perl_vendorarch}/auto/Text/ChaSen
%{perl_vendorarch}/auto/Text/ChaSen/ChaSen.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Text/ChaSen/ChaSen.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-ChaSen.spec,v $
Revision 1.15  2010/06/06 08:43:16  arekm
- release 6

Revision 1.14  2008/02/10 12:21:09  arekm
- rel 5

Revision 1.13  2008-01-31 22:05:48  glen
- rel 4

Revision 1.12  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.11  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.9  2004/11/03 22:30:49  paladine
- formatting

Revision 1.8  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.7  2004/05/07 00:35:14  ankry
- rel. 3

Revision 1.6  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.4  2003/09/12 17:22:20  twittner
- Release 2: now rel.1 is for Ra* on RA-branch,
  rel.2 for newer than Ra*

Revision 1.3  2003/09/01 13:55:02  ankry
- md5

Revision 1.2  2003/09/01 12:00:39  qboosh
- cleanups

Revision 1.1  2003/09/01 09:24:40  twittner
- new, for namazu
